Skip to main content
`Ctrl`+`K`

# DMShellSetCreateSubDM

Set the routine used to create a sub `DM` from the `DMSHELL`

## Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellSetCreateSubDM(DM dm, PetscErrorCode (*subdm)(DM, PetscInt, const PetscInt[], IS *, DM *))

Logically Collective

## Input Parameters

- dm - the `DMSHELL`

- subdm - the routine to create the decomposition

## See Also

`DM`, `DMSHELL`, `DMCreateSubDM()`, `DMShellGetCreateSubDM()`, `DMShellSetContext()`, `DMShellGetContext()`

## Level

advanced

## Location

src/dm/impls/shell/dmshell.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages